Package io.flutter.embedding.android

# Class SurfaceHolderCallbackCompat

java.lang.Object
io.flutter.embedding.android.SurfaceHolderCallbackCompat

All Implemented Interfaces:
  `SurfaceHolder.Callback`, `SurfaceHolder.Callback2`

public class SurfaceHolderCallbackCompat extends Object implements SurfaceHolder.Callback2

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SurfaceHolderCallbackCompat(SurfaceHolder.Callback innerCallback, FlutterSurfaceView flutterSurfaceView, FlutterRenderer flutterRenderer)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `onAttachToRenderer(FlutterRenderer flutterRenderer)`
  `void`
  `onDetachFromRenderer()`
  `void`
  `onResume()`
  `void`
  `surfaceChanged(SurfaceHolder holder, int format, int width, int height)`
  `void`
  `surfaceCreated(SurfaceHolder holder)`
  `void`
  `surfaceDestroyed(SurfaceHolder holder)`
  `void`
  `surfaceRedrawNeeded(SurfaceHolder holder)`
  `void`
  `surfaceRedrawNeededAsync(SurfaceHolder holder, Runnable finishDrawing)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SurfaceHolderCallbackCompat

    public SurfaceHolderCallbackCompat(SurfaceHolder.Callback innerCallback, FlutterSurfaceView flutterSurfaceView, @Nullable FlutterRenderer flutterRenderer)

- ## Method Details

  - ### onAttachToRenderer

    public void onAttachToRenderer(FlutterRenderer flutterRenderer)

  - ### onDetachFromRenderer

    public void onDetachFromRenderer()

  - ### onResume

    public void onResume()

  - ### surfaceCreated

    public void surfaceCreated(@NonNull SurfaceHolder holder)
    Specified by:
      `surfaceCreated` in interface `SurfaceHolder.Callback`

  - ### surfaceChanged

    public void surfaceChanged(@NonNull SurfaceHolder holder, int format, int width, int height)
    Specified by:
      `surfaceChanged` in interface `SurfaceHolder.Callback`

  - ### surfaceDestroyed

    public void surfaceDestroyed(@NonNull SurfaceHolder holder)
    Specified by:
      `surfaceDestroyed` in interface `SurfaceHolder.Callback`

  - ### surfaceRedrawNeeded

    public void surfaceRedrawNeeded(@NonNull SurfaceHolder holder)
    Specified by:
      `surfaceRedrawNeeded` in interface `SurfaceHolder.Callback2`

  - ### surfaceRedrawNeededAsync

    @RequiresApi(api=26) public void surfaceRedrawNeededAsync(@NonNull SurfaceHolder holder, @NonNull Runnable finishDrawing)
    Specified by:
      `surfaceRedrawNeededAsync` in interface `SurfaceHolder.Callback2`